#ifndef MENU_H
#define MENU_H


//Menu.h

#include "Mouse.h"

//#define numItems  1 
class Menu  :public MenuObject
{
	public:
		int mov;
		int mov2;

		int mx;
		int my;
	
	//	MenuObject componets[numItems];



		Button buttons[40];
		Mouse mouse[1];	
		Textbox textboxs[3];
		Menu();
		Menu(int,int,int,int);
		void draw(BITMAP *bmp);
};

Menu::Menu(int nx,int ny,int nw ,int nh)
{
	textboxs[0].Set_selceted(true);//selected by defalt
	mov=0;
	mov2=0;
	//componets[numItems];
	x= nx;
	y= ny;
	w= nw;
	h= nh;
	color= makecol(0,4,100);
	//MenuObject m =Mouse();
//	MenuObject b1 = Button();
	//componets[0] = m;
	//componets[1] = b1;
}

Menu::Menu()
{
	textboxs[0].Set_selceted(true);//selected by defalt
	mov=0;
	mov2=0;
	//componets[numItems];
	x= 200;
	y= 250;
	w= 300;
	h= 200;
	color= makecol(0,4,100);
	//MenuObject m =Mouse();
//	MenuObject b1 = Button();
	//componets[0] = m;
	//componets[1] = b1;
}

void Menu::draw(BITMAP *bmp)
{
	color= makecol(255,0,255);
	//draw rect for menu back grown
	drawRectangle(bmp,x,  y, w, h, color,2, color);
	//then draw componets
	//for(int i =0; i< numItems;i++)
	//{
	//componets[i].draw();
	//}
}

#endif